Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Apr 2021 09:32:20 +0300

> Date: Fri, 2 Apr 2021 22:51:56 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I think I've figured that out, but there's actually another wrinkle.
> 'make install' is installing the eln files in
> 
>     nextstep/Emacs.app/Contents/MacOS/lib/emacs/28.0.50/native-lisp/28.0.50-24e3df15
> 
> but the emacs executable is looking for them in
> 
>     nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15/

The above happens on all platforms, so it isn't macOS specific, right?
Or are you saying there's something macOS specific in ${libdir}?  in
the latter case, what's the story there?

> And just to add the confusion I feel they should *actually* be
> installed in
> 
>     nextstep/Emacs.app/Contents/Resources/native-lisp
> 
> or similar.

Why is that?